sc::PZ81LCFunctional(3)

NAME
sc::PZ81LCFunctional -

Implements the PZ81 local (LSDA) correlation functional'.

SYNOPSIS

#include <functional.h>

Inherits sc::LSDACFunctional'.

  Public Member Functions
PZ81LCFunctional (const Ref< KeyVal > &)
PZ81LCFunctional (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'.
void point_lc (const PointInputData &, PointOutputData &, double &, double &, double &)

  Protected Member Functions
double Fec_rsgt1 (double rs, double beta_1, double beta_2, double gamma)
double dFec_rsgt1_drho (double rs, double beta_1, double beta_2, double gamma, double &dec_drs)
double Fec_rslt1 (double rs, double A, double B, double C, double D)
double dFec_rslt1_drho (double rs, double A, double B, double C, double D, double &dec_drs)

Detailed Description

Implements the PZ81 local (LSDA) correlation functional'. This local correlation functional is used in P86'.

J'. P'. Perdew and A'. Zunger, Phys'. Rev'. B, 23, pp'. 5048-5079, 1981'.

Member Function Documentation

  void sc::PZ81LCFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'. This must be implemented by the derived class if the class has data'.

Reimplemented from sc::LSDACFunctional'.

Author

Generated automatically by Doxygen for MPQC from the source code'.